Home Information Classes Download Usage Mail List Requirements Links Tutorial

# NRev Class Reference

CCRMA's NRev reverberator class. More...

`#include <NRev.h>`

Inheritance diagram for NRev:

List of all members.

## Public Member Functions

| NRev (MY_FLOAT T60)
| Class constructor taking a T60 decay time argument.
| ~NRev ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
MY_FLOAT | tick (MY_FLOAT input)
| Compute one output sample.

## Detailed Description

CCRMA's NRev reverberator class.

This class is derived from the CLM NRev function, which is based on the use of networks of simple allpass and comb delay filters. This particular arrangement consists of 6 comb filters in parallel, followed by 3 allpass filters, a lowpass filter, and another allpass in series, followed by two allpass filters in parallel with corresponding right and left outputs.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 25 of file NRev.h.

The documentation for this class was generated from the following file:

- NRev.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.